Search objects

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Search a List of Group Objects (Assets)

Creates a search for a list of group objects (assets) for specific group IDs.

See Parameters and Authentication below.

Sample Requests

Search objects API:

{
    "field_filters": { //use this to search in a specific field within that group to get a response (noted below)
        "field_135": "example text"
    },
    "search": "Some text" //use this to do a global search (noted below)
}

Let's provide an example for the Group List Field type of fields, searching for Group List Field/Entity List Field.

Let's say that Building is a parent group for the Room Building record:

Building
field_1: Name - B1

Room record
field_2: Name - "101"
field_2: Building (Parent/child) - "B1"

URL: https://api.assetpanda.com/v3/groups/{RoomsGroupId}/search/objects

Field filter:

{
  "field_filters": {
    "field_2": "B1"
  }
}

Search through all fields:

{
  "search": "B1"
}

Search for specific object_id

{
 "ids": ["object_id_1", "object_id_2", "object_id_3"], //can be passed through as single or an array for search
}

Search based on time of last edit

{
  "last_modified": {
   	"gte": "2023-02-01T00:00:00.000Z",
   	"lte": "2023-02-06T05:45:00.000Z"
  }
}

Search based on time of creation

{
  "created_at": {
    "gte": "2026-04-20T00:00:00.000Z",
    "lte": "2026-04-20T23:59:59.000Z"
  }
}

Search archived records

You can send view_archived in the payload if you want to search among the archived records. This variable only accepts the following two values:

  • all: This will return both archived as well as normal records that matches the criteria.
  • archived: This will return only the list of archived records that matches the criteria.
{
  "view_archived": "archived"
}

Full Field Match

By default, this endpoint performs a partial search on field values. To perform an exact (full) match, include the field_match key in the request payload.
When field_match is set to "full", only objects whose field values exactly match the search value are returned.

{
  "field_match": "full"
}

Pagination

NOTE: Both offset and limit can be changed. (See the information below.)

You can also change the default pagination of 50 with: v3/groups/group_id/objects/search?offset=101&limit=100.

limit is the number of objects to display per page. In the case from above, we have increased from 50 to 100 with the limit value as noted in the =100.

offset is the beginning of objects to return from, in effect, pages. In this case, we are on "page 2", with the offset is 101; if the offset would be increased to 200, you would get "page 3" of the results.

Parameters

Path ParametersRequired/OptionalDescriptionType
group_idrequiredThe value for the group of the object you want to search.string

Authentication

KeyDescription
AuthorizationYour Bearer token.
Path Params
string
required
Query Params
integer
integer
Body Params
string

Search terms, separated by '|' when multiple

ids
array of strings
ids
last_modified
object
created_at
object
field_filters
object
string

Only accepted values are 'all' and 'archived'

Response

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!